Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.convention
Class ClasspathPackageProvider

    java.lang.Object
      org.apache.struts2.convention.ClasspathPackageProvider

All Implemented Interfaces:
  PackageProvider

    public class ClasspathPackageProvider

extends Object
implements PackageProvider

This class is a configuration provider for the XWork configuration system. This is really the only way to truly handle loading of the packages, actions and results correctly. This doesn't contain any logic and instead delegates to the configured instance of the `ActionConfigBuilder` interface.

Constructor Summary
`ClasspathPackageProvider(com.opensymphony.xwork2.inject.Container container)`

Method Summary
`void` | `init(Configuration configuration)`
`void` | `loadPackages()`
`boolean` | `needsReload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathPackageProvider

    public ClasspathPackageProvider(com.opensymphony.xwork2.inject.Container container)

Method Detail

### init

    public void init(Configuration configuration)
              throws ConfigurationException

  Specified by:
    `init` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

  Specified by:
    `needsReload` in interface `PackageProvider`

### loadPackages

    public void loadPackages()
                      throws ConfigurationException

  Specified by:
    `loadPackages` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.